function expected_age_penalties_lut = expected_penalty_discrete(age_penalty_lut, samples, z, parameters)
    possible_y = parameters(1, :);
    dist_matrix = parameters(2, :);
    age_penalties = zeros(length(samples), length(z), length(possible_y));
    expected_age_penalties_lut = zeros(length(samples), length(z));

    for n = 1:length(possible_y)
        indices = min(samples+z+possible_y(n)+1, length(age_penalty_lut));
        age_penalties(:,:,n) = age_penalty_lut(indices); %Matlab is 1 indexed which is stupid
    end

    age_penalties = permute(age_penalties, [1 3 2]);

    for n = 1:length(z) 
        test1 = age_penalties(:,:,n);
        test3 = mprod(test1, dist_matrix);
        expected_age_penalties_lut(:,n) = sum(test3, 2); %E[p(n+Yi+1-Si]
    end
end

